<?php
function createPodOrderRequest($wp_order_id)
{

    $order = wc_get_order($wp_order_id);

    $orderss = new WC_Order($wp_order_id);
    $s = json_decode($orderss);

    $add_plugin_option = get_option('pod-address-options');

    $address_shipment_options = get_option('order-address-options');
    $status_address_shipment = $address_shipment_options['address_shipment'];

    if ( is_null($s->shipping->first_name) || empty($s->shipping->first_name)){
//        $first_name=$s->billing_first_name;
        $first_name=$s->billing->first_name;
    }else{
        $first_name=$s->shipping->first_name;
    }

    if ( is_null($s->shipping->last_name) || empty($s->shipping->last_name)){
//        $last_name=$s->billing_last_name;
        $last_name=$s->billing->last_name;
    }else{
        $last_name=$s->shipping->last_name;
    }

    if ( is_null($s->shipping->state) || empty($s->shipping->state)){
//        $state=$s->billing_state;
        $state=$s->billing->state;
    }else{
        $state=$s->shipping->state;
    }

    if ( is_null($s->shipping->city) || empty($s->shipping->city)){
//        $city=$s->billing_city;
        $city=$s->billing->city;
    }else{
        $city=$s->shipping->city;
    }

    if ( is_null($s->shipping->address_1) ||empty($s->shipping->address_1)){
//        $address_1=$s->billing_address_1;
        $address_1=$s->billing->address_1;
    }else{
        $address_1=$s->shipping->address_1;
    }

    if ( is_null($s->shipping->postcode) || empty($s->shipping->postcode)){
//        $postcode=$s->billing_postcode;
        $postcode=$s->billing->postcode;
    }else{
        $postcode=$s->shipping->postcode;
    }

    if ( is_null($s->shipping->phone) || empty($s->shipping->phone)){
//        $phone=$s->billing_phone;
        $phone=$s->billing->phone;
    }else{
        $phone=$s->shipping->phone;
    }



    if ($status_address_shipment == 'storeAddress') {
        $api_result = [
            'items' => [],
            'reference' => $wp_order_id,
            'currency' => 'Rial',
//            'comment' => $s->customer_note,
            'comment' => $s->order_comments,
            'payment_method_id' => 1,
            'shipment_method_id' => 1,
            'use_store_default_address' => false,

            'store_order_shipment_address' => [
                'first_name' => $first_name,
                'last_name' => $last_name,
                'state' => $state,
                'city' => $city,
                'address' =>$address_1,
                'postal_code' => $postcode,
                'building_number' => '0',
                'unit' => '0',
                'mobile' => $phone,
                'telephone' => '',
                'latitude' => '',
                'longitude' => '',
                'comment' => '',
            ],

            'shipment_address' => [
                'first_name' => $add_plugin_option['first_name'],
                'last_name' => $add_plugin_option['last_name'],
                'state' => $add_plugin_option['state'],
                'city' => $add_plugin_option['city'],
                'address' => $add_plugin_option['address'],
                'postal_code' => $add_plugin_option['postal_code'],
                'building_number' => $add_plugin_option['building_number'],
                'unit' => $add_plugin_option['unit'],
                'mobile' => $add_plugin_option['mobile'],
                'telephone' => $add_plugin_option['phone'],
                'latitude' => '',
                'longitude' => '',
                'comment' => '',
            ],

            'store_customer' => [
                'reference' => $order->get_user_id(),
                'first_name' => $s->billing->first_name,
                'last_name' => $s->billing->last_name,
                'sex' => '',
                'email' => '',
                'mobile' => $s->billing->phone,
                'telephone' => '',
                'national_code' => '',
                'comment' => '',
            ]

        ];
    }elseif($status_address_shipment == 'customerAddress'){

        $api_result = [
            'items' => [],
            'reference' => $wp_order_id,
            'currency' => 'Rial',
//            'comment' => $s->customer_note,
            'comment' => $s->order_comments,
            'payment_method_id' => 1,
            'shipment_method_id' => 1,
            'use_store_default_address' => false,

            'store_order_shipment_address' => [
                'first_name' => $first_name,
                'last_name' => $last_name,
                'state' => $state,
                'city' => $city,
                'address' =>$address_1,
                'postal_code' => $postcode,
                'building_number' => '0',
                'unit' => '0',
                'mobile' => $phone,
                'telephone' => '',
                'latitude' => '',
                'longitude' => '',
                'comment' => '',
            ],

            'shipment_address' => [
                'first_name' => $first_name,
                'last_name' => $last_name,
                'state' => $state,
                'city' => $city,
                'address' =>$address_1,
                'postal_code' => $postcode,
                'building_number' => '0',
                'unit' => '0',
                'mobile' => $phone,
                'telephone' => '',
                'latitude' => '',
                'longitude' => '',
                'comment' => '',
            ],

            'store_customer' => [
                'reference' => $order->get_user_id(),
                'first_name' => $s->billing->first_name,
                'last_name' => $s->billing->last_name,
                'sex' => '',
                'email' => '',
                'mobile' => $s->billing->phone,
                'telephone' => '',
                'national_code' => '',
                'comment' => '',
            ]

        ];


    }

    $api_result['items'] = getItemdetails($orderss);

    return $api_result;
}
function getItemdetails($orderss)
{
    $data = [];
    $order_items = $orderss->get_items();
    foreach ($order_items as $items_key => $items_value) {
        //is_pod_product
        if (str_starts_with($items_value->get_product()->get_sku(), 'pod-book')
        
        ||str_starts_with($items_value->get_product()->get_sku(), 'bundle-pr')
        
        || str_starts_with($items_value->get_product()->get_sku(), 'pod-magazine')) {

            $product_id = $items_value['variation_id']?$items_value['variation_id']:$items_value['product_id'];
            $product = $items_value->get_product();
            $sku = $product->get_sku();
            //$product_name = $items_value['name'];
            $quantity = $items_value['quantity'];

            $data[] = [
                'reference' => $product_id,
                'product_sku' => $sku,
                'quantity' => $quantity,
                'deliver_at' => '',
                'comment' => '',
            ];

        }
    }

    return $data;
}