<?php

class PodProductItem
{
    public $pod_item;

    public function __construct($pod_product_item)
    {

        if (is_array($pod_product_item))
            $this->pod_item = json_decode(json_encode($pod_product_item));
        else
            $this->pod_item = $pod_product_item;
        if (!$this->pod_item)
            throw new \InvalidArgumentException("pod_product_item could not be null");

    }

    public function getSku()
    {
        $sku = '';

        if ($this->pod_item->pod)
            $sku= $this->pod_item->pod->sku;

            return $sku;

        //todo else
    }

    public function getPodOriginalPrice()
    {
        $original_price_pod = 0;
        if ($this->pod_item->pod)
            if ($this->pod_item->pod->prices)
                $original_price_pod = $this->pod_item->pod->prices->original_price;
        $cr = get_woocommerce_currency();
        if ($cr == 'IRR') {
            //  if ($cr == 'USD') {
            return $original_price_pod;
        } else if ($cr == 'IRT') {
            return $original_price_pod / 10;
        } else if ($cr == 'IRHR') {
            return $original_price_pod / 1000;
        } else if ($cr == 'IRHT') {
            return $original_price_pod / 10000;
        }
    }

    public function getStoreReferenceId()
    {
        if ($this->pod_item->store)
            return $this->pod_item->store->reference_id;
    }

    public function getDelivryTimePod()
    {

        return $this->pod_item->pod->prices->deliver_at;
    }

    public function getAuthors()
    {
        $result = '';
        if ($this->pod_item->agents) {
            if ($this->pod_item->agents->author) {
                foreach ($this->pod_item->agents->author as $author) {
                    $result .= ' ' . $author;
                }
            }
        }

        return $result;
    }

    public function getTitle()
    {
//        var_dump($this->pod_item);
        return $this->pod_item->title;
    }

    public function getWeightGram()
    {
        return strval($this->pod_item->weight_gr);
    }

    public function getPodType()
    {
        return strval($this->pod_item->type);
    }

    public function getLengthMilimeter()
    {
        return $this->pod_item->length_mm;
    }

    public function getWidthMilimeter()
    {
        return $this->pod_item->width_mm;
    }

    public function getShortDescription()
    {
        return $this->pod_item->short_description;
    }

    public function getSalable()
    {
//        $result = 'outofstock';

        if ($this->pod_item->pod) {
//            if ($this->pod_item->pod->salable) {
                if ($this->pod_item->pod->salable == true){
                    $result = 'instock';
                }else{
                    $result = 'outofstock';
                }

//            }
        }

        return $result;

    }

    public function getPulication()
    {
        $result = '';
        if ($this->pod_item->publications) {

            foreach ($this->pod_item->publications as $publication) {
                $result .= ' ' . $publication;
            }
        }
        return $result;
    }

    public function getMainCategoryName()
    {
        $result = [];

        if ($this->pod_item->categories) {
            if ($this->pod_item->categories->sub_category) {
                foreach ($this->pod_item->categories->sub_category as $sub_cat) {
                    $result = $sub_cat->name;
                }
            }
        }
        return $result;
    }

    public function getTagName()
    {
        $result = [];
        if ($this->pod_item->tags) {
            foreach ($this->pod_item->tags as $tags) {
                $result[] = $tags;
            }
        }
        return $result;
    }

    public function getPulicationAsAttrubte()
    {
        $result = [];
        if ($this->pod_item->publications) {
            foreach ($this->pod_item->publications as $publication) {
                $result[] = $publication;
            }
        }
        return $result;
    }

    public function getTranslatorAsAttrubte()
    {
        $result = [];
        if ($this->pod_item->agents->translator) {
            foreach ($this->pod_item->agents->translator as $translator) {
                $result[] = $translator;
            }
        }
        return $result;
    }

    public function getauthorAsAttrubte()
    {
        $result = [];
        if ($this->pod_item->agents->author) {
            foreach ($this->pod_item->agents->author as $writer) {
                $result[] = $writer;

            }
        }
        return $result;
    }

    public function getSizeAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->book_size;
        return $result;
    }

    public function getShortDescriptionAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->short_description;
        return $result;
    }

    public function getSummeryAsAttrubte()
    {

        $result = '';
        $result .= html_entity_decode($this->pod_item->summery);
        return $result;
    }

    public function getTitleEnAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->title_en;
        return $result;
    }

    public function getSubTitleEnAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->sub_title;
        return $result;
    }

    public function getLanguageCodeAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->language_code;
        return $result;
    }

    public function getEditionNumberAsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->edition_number);
        return $result;
    }

    public function getPrintNumberAsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->print_number);
        return $result;
    }

    public function getPrintYearAsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->print_year);
        return $result;
    }

    public function getPageCountAsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->page_count);
        return $result;
    }

    public function getCoverTypeAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->cover_type;
        return $result;
    }

    public function getBindingTypeAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->binding_type;
        return $result;
    }

    public function getTextPaperTypeAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->text_paper_type;
        return $result;
    }

    public function getTextColorAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->text_color;
        return $result;
    }

    public function getIsbn10AsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->isbn10);
        return $result;
    }

    public function getIsbnAsAttribute()
    {
        $result = [];
        $result[] = $this->pod_item->isbn;
        return $result;
    }

    public function getDdcAsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->ddc);
        return $result;
    }

    public function getVolumeCountAsAttrubte()
    {
        $result = [];
        $result[] = strval($this->pod_item->volume_count);
        return $result;
    }

    public function getPrintInAsAttrubte()
    {
        $result = [];
        $result[] = $this->pod_item->print_in;
        return $result;
    }

    public function getIsbn()
    {
        return $this->pod_item->isbn;
    }

    public function getSize()
    {
        return $this->pod_item->book_size;
    }

    public function getTranslators()
    {
        $result = '';
        if ($this->pod_item->agents) {
            if ($this->pod_item->agents->translator) {
                foreach ($this->pod_item->agents->translator as $translator) {
                    $result .= ' ' . $translator;
                }
            }
        }

        return $result;
    }
}

?>