<?php

function UpdateProductBaseOnPodHookProductItem(PodProductItem $pod_product_item)
{
    global $wpdb;
    try {

        $wp_product_id = $pod_product_item->getStoreReferenceId();
        $wp_product = wc_get_product($wp_product_id);
        //check id from pod and suk match
        if ($wp_product) {

            $pod_main_delivery_time = $pod_product_item->getDelivryTimePod();
            //$wp_product->set_name($pod_product_item->getTitle());
            $pod_product_item_sku = $pod_product_item->getSku();
            $wp_product->set_sku($pod_product_item_sku);
            LogPodApiCall('/hook/product-update', 'set sku for product ' . $wp_product_id . ' and sku:' . $pod_product_item_sku, []);
            $wp_product->set_description(str_replace("DAY", $pod_main_delivery_time + POD_ADDITIONAL_TIME_DELIVERY, POD_TEXT_DELIVERY));

            //$wp_product->set_status('publish');
            //$wp_product->set_catalog_visibility('visible');

            $original_price_pod = $pod_product_item->getPodOriginalPrice();
            $wp_product->set_price($original_price_pod);
            $wp_product->set_regular_price($original_price_pod);
            $stock_status = $pod_product_item->getSalable();
            $wp_product->set_stock_status($stock_status);
            //$wp_product->set_sold_individually(false);
            $wp_product->save();
            // update_post_meta($wp_product_id, 'is_pod_product', true);
            // update_post_meta($wp_product_id, 'pod_product_sku', $pod_product_item_sku);
            // update_post_meta($wp_product_id, 'pod_product_id', true);
            // wp_update_post(array('ID' => $wp_product_id));

            return [
                'success' => true,
                'data' => [
                    'reference_id'=>$wp_product->get_id()
                ],
                "error" => '',
            ];
        } else {
            LogPodApiCall('/hook/product-update', 'wp product not found');
            return [
                'success' => false,
                'data' => [],
                "error" => 'wp product with ref:' . $wp_product_id . ' id not found',
            ];
        }
    } catch (Exception $ex) {
        LogPodApiCall('/hooks/products-update', 'add product failed' . $ex->getMessage(), []);
        return [
            'success' => false,
            'data' => [],
            "error" => $ex->getMessage()
        ];
    }

}