<?php
function ServiceHandleProductHooks(WP_REST_Request $request)
{
    $pod_plugin_options = get_option('pod-plugin-options');
    $api_key = $pod_plugin_options['pod_api_key'];

    $headers = apache_request_headers();
    $secret_key = $pod_plugin_options['pod_api_secret_key'];
    $pod_date_time = $headers['X-Api-Date-Time'];
    $pod_api_key = $headers['X-Api-Key'];
    $api_pod = ($pod_api_key . ':' . base64_encode(hash_hmac(POD_AUTH_HASH, $pod_date_time, $secret_key, true)));
    $api_wp = ($api_key . ':' . base64_encode(hash_hmac(POD_AUTH_HASH, $pod_date_time, $secret_key, true)));
    LogPodApiCall('/hook/from pod', json_encode($request));
    //check
    if ($api_wp == $pod_api_key) {
        $event_name = $request['event_name'];
        $event_data = $request['event_data'];
        $pod_product_item = $event_data;

        //update update price,stock ,day
        //delete from store: not available for sale
        if ($event_name == 'store_product:delete') {

            if (!is_null($pod_product_item['sku'])) {

                global $wpdb;
                $sql = "SELECT product_id FROM  {$wpdb->prefix}wc_product_meta_lookup  WHERE {$wpdb->prefix}wc_product_meta_lookup.sku ='" . $pod_product_item['sku'] . "'";

                $product_id = $wpdb->get_var($wpdb->prepare("SELECT post_id FROM $wpdb->postmeta WHERE meta_key='_sku' AND meta_value='%s' LIMIT 1", $pod_product_item['sku']));


                //  find product from products with reference id and sku from pod hook

                $product = wc_get_product($product_id);

                $out_of_stock_staus = 'outofstock';

                // 1. Updating the stock quantity
                update_post_meta($product_id, '_stock', 0);
                // 2. Updating the stock quantity
                update_post_meta($product_id, '_stock_status', wc_clean($out_of_stock_staus));
                // 3. Updating post term relationship
                wp_set_post_terms($product_id, 'outofstock', 'product_visibility', true);
                // And finally (optionally if needed)
                wc_delete_product_transients($product_id); // Clear/refresh the variation cache

            }

            return ['success' => true, 'data' => ['wp_ref_id' => $product_id]];

        } else {

            $pod_product_item = new PodProductItem($pod_product_item);
            return UpdateProductBaseOnPodHookProductItem($pod_product_item);


        }
    } else {
        return [
            'success' => false,
            'data' => [],
            "error" => "Permission denied ",
        ];
    }
}
