<?php

/**
 * Fired during plugin activation
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Plugin_Name
 * @subpackage Plugin_Name/includes
 * @author     Your Name <email@example.com>
 */
class PodPlugin_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
//select post_id as order_id from product_meta where meta_name='pod_order_id'
        //if not already exist is_pod_mata for givent post_id
        //insert into product_meta (meta_name,meta_value,post_id) values   ('is_pod', 'true','post_id')
        global $wpdb;

        $order_ids = $wpdb->get_col("SELECT post_id FROM {$wpdb->prefix}postmeta WHERE meta_key = 'pod_order_id'");

        foreach ($order_ids as $order_id) {
            $order = wc_get_order($order_id);

            if ($order) {
                $is_pod_meta = $order->get_meta('is_pod');

                if (empty($is_pod_meta)) {
                    $order->update_meta_data('is_pod', 'true');
                    $order->save();
                }
            }
        }

        //part2

        $query = $wpdb->prepare("
        SELECT DISTINCT order_items.order_id
        FROM {$wpdb->prefix}woocommerce_order_items AS order_items
        INNER JOIN {$wpdb->prefix}woocommerce_order_itemmeta AS order_item_meta
            ON order_items.order_item_id = order_item_meta.order_item_id
        INNER JOIN {$wpdb->prefix}postmeta AS postmeta
            ON postmeta.post_id = order_item_meta.meta_value
        WHERE order_items.order_item_type = 'line_item'
            AND order_items.order_id IN (
                SELECT order_items.order_id
                FROM {$wpdb->prefix}woocommerce_order_items AS order_items
                INNER JOIN {$wpdb->prefix}woocommerce_order_itemmeta AS order_item_meta
                    ON order_items.order_item_id = order_item_meta.order_item_id
                INNER JOIN {$wpdb->prefix}postmeta AS postmeta
                    ON postmeta.post_id = order_item_meta.meta_value
                WHERE order_items.order_item_type = 'line_item'
                    AND (
                        (postmeta.meta_key = '_sku' AND LEFT(postmeta.meta_value, 3) = %s) OR
                        (postmeta.meta_key = '_variation_sku' AND LEFT(postmeta.meta_value, 3) = %s)
                    )
            )
    ", 'pod','pod');

        $order_ids = $wpdb->get_col($query);

        if (!empty($order_ids)) {
            foreach ($order_ids as $order_id) {
                update_post_meta($order_id, 'is_pod', 'true');

            }
        }
	}

}
